/****************************************************************************
Date: 6/1/95
File: dospc.h
Description:
	Non-ANSI functions for DOS PC functions.
	This file provides compatibility across different compilers.
*****************************************************************************/
#ifndef DOSPC_H
#define DOSPC_H

#include <stddef.h>
#include <dos.h>
#include <conio.h>
#include <time.h>
#include "loctypes.h"

// control interrupts with assembler
#define DISABLE() __asm cli
#define ENABLE()  __asm sti

#ifdef __cplusplus
extern "C" {
#endif

/* needed for Microsoft only */
#ifdef _MSC_VER
#define disable()		_disable()
#define enable()		_enable()
#define geninterrupt(INTNUMBER)	_dos_NO_GENINT
#define getvect(n)		_dos_getvect(n)
#define setvect(n, handler)	_dos_setvect(n,handler)
#define inp(ioaddress)		_inp(ioaddress)
#define keep(returncode, paragraphs) _dos_keep(returncode, paragraphs)
#define outp(ioaddress, data)	_outp(ioaddress, data)

// G6LVB added start...
#if defined(MK_FP) && _MSC_VER==800
	#undef MK_FP
#endif                 
// ...G6LVB added end

#define MK_FP(seg,off) ((VOID FAR*) \
                       (((ULONG)(seg) << 16) | (USHORT) (off)))

VOID	sleep(ULONG ulSeconds);
#endif	/* end Microsoft */

#ifdef __cplusplus 
}
#endif

#endif
