// keyboard tuner driver test
// 12/27/97

#include <stdio.h>
#include "kbdtune.hpp"

main() {
	printf("Kbd tuner test\n");
	KEYBOARDTUNER	Kbd;

	DISABLE();
	Kbd.Activate();
	ENABLE();

	printf("Test VFO tuning\n");
	while (Kbd.GetRITSteps() == 0) {
		DISABLE();
		LONG lSteps = Kbd.GetVFOSteps();
		BOOL eTuned = Kbd.HasUserTuned();
		ENABLE();
		if (eTuned) {
			printf("Steps = %d\n", lSteps); 
		}
	}

	printf("Test RIT tuning\n");
	while (Kbd.GetVFOSteps() == 0) {
		DISABLE();
		LONG lSteps = Kbd.GetRITSteps();
		ENABLE();
		if (lSteps != 0) {
			printf("Steps = %d\n", lSteps);
		}
	}

	printf("Test Modulation\n");
	while (Kbd.GetVFOSteps() == 0) {
		DISABLE();
		MODULATION eMode = Kbd.GetModulation();
		ENABLE();
		switch(eMode) {
		case MODULATION_AM:
			printf("AM\n");
			break;
		case MODULATION_FM:
			printf("FM\n");
			break;
		case MODULATION_CW:
			printf("CW\n");
			break;
		case MODULATION_LSB:
			printf("LSB\n");
			break;
		case MODULATION_USB:
			printf("USB\n");
			break;
		default:
			break;
		}
	}

	printf("End of test");
	DISABLE();
	Kbd.Deactivate();
	ENABLE();
	return 0;
}

